> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clock In

> Starts the employee’s own time clock when their organization and manual assignment allow it.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/clock-in
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/clock-in:
    post:
      operationId: clockIn
      summary: Clock In
      description: >-
        Starts the employee’s own time clock when their organization and manual
        assignment allow it.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClockInRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClockInResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ClockInRequest:
      type: object
      properties:
        requestID:
          type: string
          format: uuid
      required:
        - requestID
    ClockInResponse:
      type: object
      properties:
        enabled:
          type: boolean
        serverNow:
          type: string
        timezone:
          type:
            - string
            - 'null'
        session:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
              format: uuid
            version:
              type: integer
              minimum: 0
            startedAt:
              type: string
            breakStartedAt:
              type:
                - string
                - 'null'
            breakSeconds:
              type: integer
              minimum: 0
          required:
            - id
            - version
            - startedAt
            - breakStartedAt
            - breakSeconds
        pending:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              startedAt:
                type: string
              endedAt:
                type: string
              timezone:
                type: string
              automatic:
                type: boolean
              breakMinutes:
                type: integer
                minimum: 0
            required:
              - id
              - startedAt
              - endedAt
              - timezone
              - automatic
              - breakMinutes
      required:
        - enabled
        - serverNow
        - timezone
        - session
        - pending
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
